body {
  background-color: black;
}

/*Main header on page - larger on home page - responsive*/
header {
  display: flex;
  font-family: "New Rocker", sans-serif;
  font-weight: 400;
  font-style: normal;
  color: white;
  justify-content: center;
  align-items: center;
  width: 100%;
}

/*Allows the logo to go below the title on small screens*/
@media (max-width: 900px) {
  header {
    flex-direction: column;
    flex-wrap: wrap;
  }
}

/*Subheadings for sections*/
h2 {
  font-family: "New Rocker", sans-serif;
  font-weight: 400;
  font-style: normal;
  color: white;
  display: flex;
  justify-content: center;
  align-items: center;
  padding-bottom: 50px;
}

h3 {
  font-family: "New Rocker", sans-serif;
  font-weight: 400;
  font-style: normal;
  color: white;
  display: flex;
  justify-content: center;
  align-items: center;
}

p {
  font-family: "Phudu", sans-serif;
  font-weight: 400;
  font-style: normal;
  color: white; 
  margin: 50px;
}

li {
  font-family: "Phudu", sans-serif;
  font-weight: 400;
  font-style: normal;
  color: white; 
  margin: 50px;
}

/*Navigation bar*/
nav {
  font-family: "New Rocker", sans-serif;
  font-weight: 400;
  font-style: normal;
  color: #0000FF;
  margin: 0 auto;
  text-align: center;
  line-height: 50px;
  width: 100%;
}

.topnav {
  display: flex;
  flex-direction: row;
  justify-content: center;
  align-items: center;
  overflow: hidden;
  background-color: black;
  height: 15vh;
}

.topnav a {
  padding: 14px 16px;
  text-decoration: none;
  font-size: 30px;
  color: #0000FF;
}

.topnav a:hover {
  background-color: #0000FF;
  color: black;
}

.topnav a.active {
  background-color: #0000FF;
  color: black;
}

/*Allows navigation to be vertical instead of horizontal on smaller screens*/
@media (max-width: 800px) {
  .topnav {
    flex-direction: column;
    height: auto;
    line-height: 20px;
  }
}

/*The layout of sections on the home page*/
.flex-container {
  display: flex;
  flex-direction: row;
  justify-content: center;
  align-items: stretch;
  width: 100%;
}

.card1 {
  flex: 1;
  display: flex;
  flex-direction: column;
  flex-wrap: wrap;
  justify-content: flex-start;
  align-items:center;
}

.card2 {
  flex: 1;
  display: flex;
  flex-direction: column;
  flex-wrap: wrap;
  justify-content: flex-start;
  align-items:center;
}

.card3 {
  flex: 1;
  display: flex;
  flex-direction: column;
  flex-wrap: wrap;
  justify-content: flex-start;
  align-items:center;
}

/*Ensure sections stack on top of eachother on smaller screens*/
@media (max-width: 800px) {
  .flex-container {
    flex-direction: row;
    flex-wrap: wrap;
  }
}

/* The flip card container - set the width and height to whatever you want. We have added the border property to demonstrate that the flip itself goes out of the box on hover (remove perspective if you don't want the 3D effect */
.card {
  background-color: transparent;
  width: 300px;
  height: 450px;
  text-align: center;
  /*border: 1px solid #f1f1f1*/
  perspective: 1000px; /* Remove this if you don't want the 3D effect */
}

/* Style the front side (fallback if image is missing) */
.card-front {
  background-color: black;
  color: white;
}

main img {
  display: flex;
  justify-content: center;
  border: 3px solid #0000FF;
}

/*Footer*/
footer {
  font-family: "New Rocker", sans-serif;
  font-weight: 200;
  font-style: normal;
  text-align: center;
  color: white;
  position: relative;
  left: 0;
  bottom: 0;
  width:100%;
  height: 100px;
}
